Bug 1479049 - Ectd3 cluster not starting
Ectd3 cluster not starting
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: etcd3 (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Jan Chaloupka
Martin Jenner
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 16:21 EDT by Steven Walter
Modified: 2017-08-29 14:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-29 14:09:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Walter 2017-08-07 16:21:17 EDT
Description of problem:
Etcd3 service does not start but provides few logs explaining failure

Version-Release number of selected component (if applicable):
etcd-3.1.7-1.el7.src.rpm
kernel-3.10.0-514.21.1.el7.src.rpm

How reproducible:
Unconfirmed

Actual results:

Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_ADVERTISE_CLIENT_URLS=https://xxx.xxx.x.132:2379
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_CA_FILE=/etc/etcd/ca.crt
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_CERT_FILE=/etc/etcd/server.crt
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_ELECTION_TIMEOUT=2500
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_HEARTBEAT_INTERVAL=500
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_INITIAL_ADVERTISE_PEER_URLS=https://xxx.xxx.x.132:2380
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_INITIAL_CLUSTER=xdc-etcd1.example.com=https://xxx.xxx.x.127:2380,xdc-etcd2.example.com=https://xxx.xxx.x.128:2380,xdc-etcd3.example.com=https://xxx.xxx.x.132:2380
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_INITIAL_CLUSTER_STATE=new
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_INITIAL_CLUSTER_TOKEN=etcd-cluster-1
Aug 02 11:45:06 xdcq-etcd3.example.com etcd[12034]: recognized and used environment variable ETCD_KEY_FILE=/etc/etcd/server.key
Aug 02 11:45:06 xdcq-etcd3.example.com systemd[1]: etcd.service: main process exited, code=exited, status=1/FAILURE
Aug 02 11:45:06 xdcq-etcd3.example.com systemd[1]: Failed to start Etcd Server.
Aug 02 11:45:06 xdcq-etcd3.example.com systemd[1]: Unit etcd.service entered failed state.
Aug 02 11:45:06 xdcq-etcd3.example.com systemd[1]: etcd.service failed.
Aug 02 11:45:06 xdcq-etcd3.example.com systemd[1]: etcd.service holdoff time over, scheduling restart.
Aug 02 11:45:06 xdcq-etcd3.example.com systemd[1]: Starting Etcd Server...



Expected results:
Etcd service starts

Additional info:
This is part of a 2 master, 3 etcd openshift install; etcd was installed by OCP 3.5's ansible installer playbooks
Comment 4 Brenton Leanhardt 2017-08-11 10:01:38 EDT
What log level is etcd set to?  Can you set ETCD_DEBUG=true in /etc/etcd/etcd.conf?
Comment 5 Steven Walter 2017-08-11 17:29:00 EDT
Set ETCD_DEBUG=true. Uploading logs now

Note You need to log in before you can comment on or make changes to this bug.